## org.eclipse.datatools.connectivity.oda.design.ui.wizards
Class DataSetEditorPage

    java.lang.Object
      DataSetEditorPageCore
          org.eclipse.datatools.connectivity.oda.design.ui.wizards.DataSetEditorPage

    public class DataSetEditorPage

extends DataSetEditorPageCore

The base class of a customized ODA Data Set Editor Page provided by the ODA design UI framework, to allow an user to edit an extended ODA data set design instance.
It adapts from a data set wizard page contributed by an ODA design ui extension, to a PropertyPage for use in an ODA host designer's preference dialog.

Constructor Summary
`DataSetEditorPage(DataSetWizardPage page)`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSetEditorPage

    public DataSetEditorPage(DataSetWizardPage page)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.